Skip to main content
POST
/
v1
/
click2pay
/
VISA
/
delete
/
customer
/
{customerId}
Delete Cardholder from C2P
curl --request POST \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet/v1/click2pay/VISA/delete/customer/{customerId}' \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customerBID": "123456"
}
'
{
  "requestTraceId": "351562ba-83cf-11ee-b962-0242ac120002"
}

Documentation Index

Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

customerId
string<biginteger>
required

The customer id you want to delete.

Query Parameters

auditUser
string
required

The audit user to log the request.

Body

application/json
customerBID
string
required

Unique identifier assigned to each issuer. Note: If you are using our BIN sponsorship, we provide you the customerBID; else, Visa provides you the customerBID.

Example:

"123456"

Response

Accepted

requestTraceId
string<uuid>
required

Unique identifier of the request

Required string length: 36
Example:

"351562ba-83cf-11ee-b962-0242ac120002"